Bug 37124 - New port: net/honeyd
Summary: New port: net/honeyd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-16 03:50 UTC by dominic_marks
Modified: 2002-06-23 09:58 UTC (History)
0 users

See Also:


Attachments
file.shar (2.02 KB, text/plain)
2002-04-16 03:50 UTC, dominic_marks
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dominic_marks 2002-04-16 03:50:01 UTC
	New port: net/honeyd

Honeyd is a small daemon that creates virtual hosts on a network. The
hosts can be configured to run arbitrary services, and their TCP
personality can be adapted so that they appear to be running certain
versions of operating systems. Honeyd enables a single host to claim
multiple addresses - I have tested up to 65536 - on a LAN for network
simulation.

How-To-Repeat: 	NA.
Comment 1 dominic_marks 2002-05-04 15:32:35 UTC
Since this PR was originally made the next version of honeyd has been
released.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	honeyd/Makefile
#	honeyd/distinfo
#	honeyd/files
#	honeyd/pkg-comment
#	honeyd/pkg-descr
#	honeyd/pkg-plist
#	honeyd/files/patch-aa
#
echo x - honeyd/Makefile
sed 's/^X//' >honeyd/Makefile << 'END-of-honeyd/Makefile'
X#
X# Port Makefile for: honeyd
X# Created By: Dominic Marks <dominic_marks@btinternet.com>
X# Created On: 16/04/2002
X#
X# $FreeBSD$
X#
X
XPORTNAME=	honeyd
XPORTVERSION=	0.2
XCATEGORIES=	net
XMASTER_SITES=	http://www.citi.umich.edu/u/provos/honeyd/
XMAINTAINER=	dominc_marks@btinternet.com
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--with-libdnet=${PREFIX} \
X				--with-libevent=${PREFIX} \
X				--with-pcap
XBUILD_DEPENDS=	libdnet:${PORTSDIR}/devel/libdnet \
X				libevent:${PORTSDIR}/devel/libevent
XWRKSRC=	${WRKDIR}/${PORTNAME}
XMAN8=	honeyd.8
X
X.include <bsd.port.mk>
END-of-honeyd/Makefile
echo x - honeyd/distinfo
sed 's/^X//' >honeyd/distinfo << 'END-of-honeyd/distinfo'
XMD5 (honeyd-0.2.tar.gz) = 4ce368e4e73254642297c8525fa5f1ae
END-of-honeyd/distinfo
echo c - honeyd/files
mkdir -p honeyd/files > /dev/null 2>&1
echo x - honeyd/pkg-comment
sed 's/^X//' >honeyd/pkg-comment << 'END-of-honeyd/pkg-comment'
XA utility to simualte services and hosts on a virtual network host
END-of-honeyd/pkg-comment
echo x - honeyd/pkg-descr
sed 's/^X//' >honeyd/pkg-descr << 'END-of-honeyd/pkg-descr'
XHoneyd is a small daemon that creates virtual hosts on a network. The
Xhosts can be configured to run arbitrary services, and their TCP
Xpersonality can be adapted so that they appear to be running certain
Xversions of operating systems. Honeyd enables a single host to claim
Xmultiple addresses - I have tested up to 65536 - on a LAN for network
Xsimulation.
X
XWWW: http://www.citi.umich.edu/u/provos/honeyd/
X- Dominic <dominic_marks@btinternet.com>
END-of-honeyd/pkg-descr
echo x - honeyd/pkg-plist
sed 's/^X//' >honeyd/pkg-plist << 'END-of-honeyd/pkg-plist'
Xbin/honeyd
END-of-honeyd/pkg-plist
echo x - honeyd/files/patch-aa
sed 's/^X//' >honeyd/files/patch-aa << 'END-of-honeyd/files/patch-aa'
X--- configure	Wed Apr 17 17:43:14 2002
X+++ /home/dom/configure	Sat May  4 15:05:43 2002
X@@ -2432,11 +2432,11 @@
X   *)
X      echo "$as_me:2433: result: $withval" >&5
X echo "${ECHO_T}$withval" >&6
X-     if test -f $withval/event.h -a -f $withval/libevent.a; then
X+     if test -f $withval/include/event.h -a -f $withval/lib/libevent.a; then
X         owd=`pwd`
X         if cd $withval; then withval=`pwd`; cd $owd; fi
X-        EVENTINC="-I$withval"
X-        EVENTLIB="-L$withval -levent"
X+        EVENTINC="-I$withval/include"
X+        EVENTLIB="-L$withval/lib -levent"
X      else
X         { { echo "$as_me:2441: error: event.h or libevent.a not found in $withval" >&5
X echo "$as_me: error: event.h or libevent.a not found in $withval" >&2;}
END-of-honeyd/files/patch-aa
exit

Please see PR 37118 before this one. You'll need to read the followups
to get to a commit-able shar. Making ports at 5AM is not a good
idea...

Thanks!
-- 
Dominic
Comment 2 Will Andrews freebsd_committer 2002-06-23 09:57:08 UTC
State Changed
From-To: open->closed

Committed, thanks!